Ask Your Question
0

Base requires current JAVA JRE. Installed same, get same error. Was true of Open Office also. What am I doing wrong?

asked 2018-05-09 02:39:40 +0200

Used JAVA install, and installed. Seems to make no difference to Base. Still says I must have it.

I do use FireFox. I can get rid of that if necessary.

edit retag flag offensive close merge delete

3 Answers

Sort by » oldest newest most voted
1

answered 2018-05-09 02:58:33 +0200

Ratslinger gravatar image

updated 2018-05-09 03:04:40 +0200

Hello,

This question has been answered many dozens of times here. In future please search first.

You also don't mention your OS or the LO version & bitness. This is critical. OpenOfice is 32-bit. LO is 32 or 64 depending upon install.

Mac needs 64-bit JDK installed.

For windows or Linux 32-bit LO needs 32-bit JRE & 64-bit LO needs 64-bit JRE.

Also, see this post -> on firefox and have loaded java 32 for link to Oracle ( for JRE or JDK download) and for link to LO settings (usually automatic).

If this answers your question please tick the ✔ (upper left area of answer). It helps others to know there was an accepted answer.

edit flag offensive delete link more

Comments

1

@Ratslinger - Thanks for another patient reply. Don't know what we'd do without you! Srsly. About "please search first": I would say the same, of course. But I've also been frustrated with Askbot's "search" facilities (very limited), and there are so many Q&As on Base and Java (of some description) that it's actually difficult to find what's applicable in a given scenario. We could really use a "canonical" Q&A (or better, an easy to refer to page on the TDF/LibO documentation site) to point to.

David gravatar imageDavid ( 2018-05-09 10:56:11 +0200 )edit
0

answered 2018-06-14 14:22:47 +0200

AndrewNZ gravatar image

Hi,

Having learnt from Ratlsinger's posts, I've tried to compile a step-by-step set of instructions for Mac users here:

https://ask.libreoffice.org/en/questi...

Cheers,

Andrew

edit flag offensive delete link more
0

answered 2018-05-11 19:03:55 +0200

Don't know if this answer or not. I appreciate the information regarding 32 vs 64 bit Java. That much helps. With 64 bit system, nothing in your answer helps to get 32 bit Java, if that indeed is the problem. I think the best solution is to not use the base, since there is no apparent way without searching 25k questions. So thanks for your help, even though it results in my giving up on it.

I don't think I can in good conscious tick mark the "answered the Problem" box.

Thant's as nice as I can be.

Cheers.

Mark

edit flag offensive delete link more

Comments

Your comment shows you know nothing about searching or using links. How did you ever find this forum? Searching this site is just like searching with a browser. There is a search bar even at the top of this page which has entered in it Search or ask your question. If you type in Java & hit enter you will get specific results & no need to examine 25k questions. To save time, I included a link to another answer which contains relevant info & link to Oracle for the download. NOTHING IN ANSWER?

Ratslinger gravatar imageRatslinger ( 2018-05-11 20:39:06 +0200 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2018-05-09 02:39:40 +0200

Seen: 150 times

Last updated: Jun 14